Bug 20839 - Kernel version not consist with include file in /usr/include/linux
Kernel version not consist with include file in /usr/include/linux
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-11-14 12:40 EST by rhcohen
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-15 03:02:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rhcohen 2000-11-14 12:40:47 EST
RedHat 7.0 uses kernel version 2.2.16-22.  This is the response from a uname -r command.  However, the version.h file in /usr/include/linux has 
version 2.4.0-0.26.  The version.h file in /usr/src/linux-2.2.16/include/linux shows the 2.2.16-22 version.  Other include files in /usr/include/linux 
do not match the same include files in /usr/src/linux-2.2.16/include/linux.  The Linux kernel version should be 2.2.16-22 not 2.4.0-0.26.
Comment 1 Greg Kroah-Hartman 2000-11-14 19:06:07 EST
crap, I should have searched the previous bug reports before submitting this
one, sorry.

But if 'make mrproper' is the "proper" way to build the kernel from the
kernel-source package, you might want to modify the kernel-2.2.spec spec file to
not include the include/modules directory.

Although in looking at that spec file, I really can't see how to do that, sorry.
Comment 2 Greg Kroah-Hartman 2000-11-14 19:07:43 EST
forget that last comment, I added that to the wrong bug.  Sorry.
Comment 3 Arjan van de Ven 2000-11-15 03:02:29 EST
The headers in /usr/include are glibc headers, not kernel headers.
The kernel headers are in /usr/src/linux/include. These happened to be the
same in the past but for compatibility reasons, are not now.
This bug is a dupe btw..

Note You need to log in before you can comment on or make changes to this bug.